The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> htonl, htons, ntohl, ntohs - convert values between host and network byte order

#### SYNOPSIS

> ``#include <arpa/inet.h>
> uint32_t htonl(uint32_t` hostlong`);
> uint16_t htons(uint16_t` hostshort`);
> uint32_t ntohl(uint32_t` netlong`);
> uint16_t ntohs(uint16_t` netshort`);
> ``

#### DESCRIPTION

> These functions shall convert 16-bit and 32-bit quantities between network byte order and host byte order.

> On some implementations, these functions are defined as macros.

> The uint32_t and uint16_t types are defined in <inttypes.h>.

#### RETURN VALUE

> The htonl() and htons() functions shall return the argument value converted from host to network byte order.

> The ntohl() and ntohs() functions shall return the argument value converted from network to host byte order.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> These functions are most often used in conjunction with IPv4 addresses and ports as returned by gethostent() and getservent().

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> endhostent, endservent

> XBD <arpa/inet.h>, <inttypes.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the XNS, Issue 5.2 specification.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]